// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package job

import (
	"net/http"

	"haixun-backend/internal/logic/job"
	"haixun-backend/internal/response"
	"haixun-backend/internal/svc"
)

func ListJobTemplatesHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := job.NewListJobTemplatesLogic(r.Context(), svcCtx)
		data, err := l.ListJobTemplates()
		response.Write(r.Context(), w, data, err)
	}
}
